Subject: Re: git http-push and MKCOL error (22/409)

From: Thomas Schlichter <[email-masked]>
Date: Sun, 16 Aug 2009 16:52:37 +0200

Hi,
Am Sonntag 16 August 2009 16:27:40 schrieb Tay Ray Chuan:
> Interesting. Please do provide:
>
>  -steps to reproduce,
>  -your server's access log.

Unfortunately I cannot provide the server's access log. It is a server 
provided by the German E-Mail provider web.de. It allows to save files via a 
web-interface and via WebDAV.

Steps to reproduce:
  1. locally set up a git archive:
     mkdir dummy.git
     cd dummy.git
     git init --bare
  2. Upload this directory to the server.
     I did do this using KDE's dolphin via WebDAV.
  3. Clone this remote repository:
     git clone https://webdav.smartdrive.web.de/dummy.git my_dummy
  4. Create a local commit:
     cd my_dummy
     touch dummy.c
     git commit -a
  5. Push this commit up to the remote repository:
     git push origin master

The last step fails es explained. During bisecting git I was able to commit 
several changes with versions before commit 
5424bc557fc6414660830b470dd45774b8f5f281.

Kind regards,
Thomas Schlichter

P.S.: Maybe it is important that the server uses the secure https protocol, 
therefore I set my username and password combination in my local ~/.netrc 
file.